using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("隐患照片表")]
    public class T_SK_HIDDEN_DANGER_RECTIFY_NOTICE_DETAIL_FILE : MesEntityBase
    {
        /// <summary>
        /// 隐患通知明细表
        /// </summary>
        [Description("隐患通知明细表")]
        [DataFieldForeignKey("Nav_RectifyDetail", "Nav_RectifyDetailFiles")]
        public Guid HIDDEN_DANGER_RECTIFY_NOTICE_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：隐患通知明细表
        /// </summary>
        [Description("导航：隐患通知明细表")]
        public virtual T_SK_HIDDEN_DANGER_RECTIFY_NOTICE_DETAIL Nav_RectifyDetail { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
